{assign var=source_theme_name value=$tpl_dir|regex_replace:'/(.*)([\/\\\]themes[\/\\\])(.*?)(_preview)?([\/\\\]$)/':'$3'}

{assign var=itemsInRow value=''}
{assign var=desktops value=''}
{assign var=laptops value=''}
{assign var=tablets value='2'}
{assign var=phones value=''}
{assign var=totalColumnsNumber value=12}
{if !empty($slider_vars) && !empty($slider_vars[$source_theme_name]) && !empty($slider_vars[$source_theme_name][$slider_id])}
    {if !empty($slider_vars[$source_theme_name][$slider_id]['itemsInRow'])}{assign var=itemsInRow value=$slider_vars[$source_theme_name][$slider_id]['itemsInRow']}{/if}
    {if !empty($slider_vars[$source_theme_name][$slider_id]['desktops'])}{assign var=desktops value=$slider_vars[$source_theme_name][$slider_id]['desktops']}{/if}
    {if !empty($slider_vars[$source_theme_name][$slider_id]['laptops'])}{assign var=laptops value=$slider_vars[$source_theme_name][$slider_id]['laptops']}{/if}
    {if !empty($slider_vars[$source_theme_name][$slider_id]['tablets'])}{assign var=tablets value=$slider_vars[$source_theme_name][$slider_id]['tablets']}{/if}
    {if !empty($slider_vars[$source_theme_name][$slider_id]['phones'])}{assign var=phones value=$slider_vars[$source_theme_name][$slider_id]['phones']}{/if}
{/if}



{assign var=products_per_row value=$itemsInRow}
{assign var=_itemsInRow value="{if empty($products_per_row)}2{else}$products_per_row{/if}"}
{$converted = settype($_itemsInRow, 'integer')}

{assign var=itemClass value='separated-item-2 col-md-12 grid'}
{assign var=_itemClass value=$itemClass|regex_replace:'/col-(lg|md|sm|xs)-\d+/':''}
{if !empty($desktops)}{assign var=_widthLg value={($totalColumnsNumber/$desktops)|floor}}{else}{assign var=_widthLg value=''}{/if}
{if !empty($laptops)}{assign var=_widthMd value={($totalColumnsNumber/$laptops)|floor}}{else}{assign var=_widthMd value=''}{/if}
{if !empty($tablets)}{assign var=_widthSm value={($totalColumnsNumber/$tablets)|floor}}{else}{assign var=_widthSm value=''}{/if}
{if !empty($phones)}{assign var=_widthXs value={($totalColumnsNumber/$phones)|floor}}{else}{assign var=_widthXs value=''}{/if}

{if ($_widthLg)}{assign var=_itemClass value="$_itemClass col-lg-$_widthLg"}{/if}
{if ($_widthMd)}{assign var=_itemClass value="$_itemClass col-md-$_widthMd"}{/if}
{if ($_widthSm)}{assign var=_itemClass value="$_itemClass col-sm-$_widthSm"}{/if}
{if ($_widthXs)}{assign var=_itemClass value="$_itemClass col-xs-$_widthXs"}{/if}


{if isset($products) AND $products}
    
    <div data-slider-id="{if isset($slider_id)}{$slider_id}{else}themedefault_slider{/if}" class=" bd-productsslider-1 {if isset($class)}{$class}{/if}">
        <div class="bd-container-inner">
        <div class=" bd-block bd-own-margins">
            <div class=" bd-blockheader bd-tagstyles">
                <h4>{$title}</h4>
            </div>
            <div class=" bd-blockcontent bd-tagstyles shape-only">
                <div class=" bd-grid-39">
                  <div class="container-fluid">
                    <div class="separated-grid row">
                        <div class="carousel slide{if (count($products) <= $_itemsInRow)} single{/if} adjust-slides">
                            <div class="carousel-inner">
                                {foreach from=$products item=product name=myLoop}
                                    {if $smarty.foreach.myLoop.index % $_itemsInRow == 0}
                                        <div class="item{if $smarty.foreach.myLoop.first} active{/if}">
                                    {/if}
                                            <div class="{$_itemClass}">
                                                <div class=" bd-griditem-2">
                                                    <a class=" bd-productimage-2" href="{$product.url}">
    <img class=" bd-imagestyles"
            src="{$product.cover.bySize.medium_default.url}"
            alt="{if !empty($product.cover.legend)}{$product.cover.legend}{else}{$product.name|truncate:30:'...'}{/if}"
            data-full-size-image-url="{$product.cover.large.url}"
    >
</a>
	
		{if isset($product.flags.new)}
    <div class="bd-productnewicon  bd-productnew-1">
        <span>{$product.flags.new.label}</span>
    </div>
{/if}
	
		{if isset($product.flags['on-sale'])}
    <div class="bd-productsaleicon  bd-productsale-1">
        <span>{$product.flags['on-sale'].label}</span>
    </div>
{/if}
	
		{if $product.show_availability && $product.availability_message}
  {if $product.availability !== 'available'}
    <div class="bd-productoutofstockicon-2  bd-productoutofstock-1">
        {$product.availability_message}
    </div>
  {/if}
{/if}
	
		<div class=" bd-producttitle-4">
    <a href="{$product.url}">{$product.name|truncate:30:'...'}</a>
</div>
	
		{if isset($product.flags.discount)}
    <div class="bd-productreducedpriceicon-3  bd-productreducedprice-1">
        <span>{$product.flags.discount.label}</span>
    </div>
{/if}
	
		{include file='./product_price_2.tpl'}
	
		{include file='./product_add_to_cart_1.tpl'}
                                                </div>
                                            </div>
                                    {if ($smarty.foreach.myLoop.index + 1) % $_itemsInRow == 0 || $smarty.foreach.myLoop.last}
                                        </div>
                                    {/if}
                                {/foreach}
                            </div>
                            {if isset($products) && count($products) > $_itemsInRow}
                                
                                <div class="bd-left-button">
    <a class=" bd-carousel-2" href="#">
        <span class="bd-icon"></span>
    </a>
</div>

<div class="bd-right-button">
    <a class=" bd-carousel-2" href="#">
        <span class="bd-icon"></span>
    </a>
</div>
                            {/if}
                        </div>
                    </div>
                  </div>
                </div>
            </div>
        </div>
        </div>
    </div>
    
{/if}