<ul class=" bd-menu-12 clearfix nav nav-tabs navbar-left">
    {if $product.description}
        <li class=" bd-menuitem-12 active">
            <a
                class="nav-link"
                data-toggle="tab"
                href="#description"
                role="tab"
                aria-controls="description"
                aria-selected="true">{l s='Description' d='Shop.Theme.Catalog'}</a>
        </li>
    {/if}

    <li class="bd-menuitem-12{if !$product.description} active{/if}">
        <a
            class="nav-link{if !$product.description} active{/if}"
            data-toggle="tab"
            href="#product-details"
            role="tab"
            aria-controls="product-details"
            {if !$product.description} aria-selected="true"{/if}>{l s='Product Details' d='Shop.Theme.Catalog'}</a>
    </li>

    {if $product.attachments}
        <li class=" bd-menuitem-12">
            <a
                class="nav-link"
                data-toggle="tab"
                href="#attachments"
                role="tab"
                aria-controls="attachments">{l s='Attachments' d='Shop.Theme.Catalog'}</a>
        </li>
    {/if}

    {foreach from=$product.extraContent item=extra key=extraKey}
        <li class=" bd-menuitem-12">
            <a
                class="nav-link"
                data-toggle="tab"
                href="#extra-{$extraKey}"
                role="tab"
                aria-controls="extra-{$extraKey}">{$extra.title}</a>
        </li>
    {/foreach}
</ul>