{if isset($block_id)}
    {assign var=path value="$tpl_dir./includes/block_for_layout_position_{$block_id}.tpl" scope="parent"}
    {if file_exists($path)}
        {include file=$path scope="parent"}

        {$smarty.capture.block_head nofilter}
            {$smarty.capture.block_header_head nofilter nofilter}{l s='Store information' d='Shop.Theme'}{$smarty.capture.block_header_tail nofilter}

            {$smarty.capture.block_content_head nofilter}
                <div class="block">
                    <div class="data">{$contact_infos.address.formatted nofilter}</div>
                </div>
                {if $contact_infos.phone}
                    <div class="block">
                        <div class="data">
                            {l s='Call us:' d='Shop.Theme'}<br/>
                            <a href="tel:{$contact_infos.phone}">{$contact_infos.phone}</a>
                        </div>
                    </div>
                {/if}
                {if $contact_infos.fax}
                    <div class="block">
                        <div class="data">
                            {l s='Fax:' d='Shop.Theme'}<br/>
                            {$contact_infos.fax}
                        </div>
                    </div>
                {/if}
                {if $contact_infos.email}
                    <div class="block">
                        <div class="data email">
                            {l s='Email us:' d='Shop.Theme'}<br/>
                        </div>
                        <a href="mailto:{$contact_infos.email}">{$contact_infos.email}</a>
                    </div>
                {/if}
            {$smarty.capture.block_content_tail nofilter}
        {$smarty.capture.block_tail nofilter}
    {/if}
{/if}