<section id="js-checkout-summary" class="card js-cart" data-refresh-url="{$urls.pages.cart}?ajax=1&action=refresh">
    {block name='hook_checkout_summary_top'}
        <div class=" bd-block-1">
            <div class=" bd-blockcontent bd-tagstyles bd-custom-bulletlist">
                {hook h='displayCheckoutSummaryTop'}
            </div>
        </div>
    {/block}

    {block name='cart_summary_products'}
        <div class=" bd-block-1">
            <div class=" bd-blockcontent bd-tagstyles bd-custom-bulletlist">
                <div class="card cart-summary">
                    {block name='cart_totals'}
                        {block name='cart_detailed_totals'}
<div class=" bd-shoppingcartgrandtotal-1 cart-totals grand-totals">
    <table class=" bd-table">
        <thead>
            <tr>
                <th colspan="2">Totals</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$cart.subtotals item="subtotal"}
                {if $subtotal.value && $subtotal.type !== 'tax'}
                    <tr class="cart-summary-line" id="cart-subtotal-{$subtotal.type}">
                        <td>
                          <span class="label{if 'products' === $subtotal.type} js-subtotal{/if}">
                            {if 'products' == $subtotal.type}
                              {$cart.summary_string}
                            {else}
                              {$subtotal.label}
                            {/if}
                          </span>
                        </td>
                        <td>
                            <span class="value">{$subtotal.value}</span>
                            {if $subtotal.type === 'shipping'}
                                <div><small class="value">{hook h='displayCheckoutSubtotalDetails' subtotal=$subtotal}</small></div>
                            {/if}
                        </td>
                    </tr>
                {/if}
            {/foreach}
        </tbody>
        <tfoot>
            <tr class=" bd-container-40 bd-tagstyles">
                <td>
                    <span class="label">{$cart.totals.total.label} {$cart.labels.tax_short}</span><br>
                    <small class="label">{$cart.subtotals.tax.label}</small>
                </td>
                <td>
                    <span class="value">{$cart.totals.total.value}</span><br>
                    <small class="value">{$cart.subtotals.tax.value}</small>
                </td>
            </tr>
        </tfoot>
    </table>
</div>
{/block}
                    {/block}
                </div>
            </div>
        </div>
    {/block}

    {block name='cart_summary_voucher'}
        <div class=" bd-block-1">
            <div class=" bd-blockcontent bd-tagstyles bd-custom-bulletlist">
                {include file='checkout/_partials/cart-voucher.tpl'}
            </div>
        </div>
    {/block}
</section>