{block name='product_images'}
    <div data-ajax-refresh="bd-imagethumbnails-1">
        {assign var=images_count value={$product.images|@count}}
        {assign var=items_in_row value=4}
        {if $images_count > 0}
            <div class=" bd-imagethumbnails-1 carousel slide adjust-slides  ">
                

                
                    {if $images_count < $items_in_row && $items_in_row != 0}
                        {assign var=inner_style value='style="width: {floor(100 / $items_in_row) * $images_count}%; margin: 0 auto;"'}
                        {assign var=item_style value='style="width: {floor(100 / $images_count)}%"'}
                    {/if}

                <div class="carousel-inner" {$inner_style}>
                    {foreach from=$product.images item=image name=image}

                        {if $smarty.foreach.image.index % $items_in_row == 0}
                            <div class="item{if $smarty.foreach.image.index == 0} active{/if}">
                        {/if}
                                <a class="bd-productimage-7{if $smarty.foreach.image.index % $items_in_row == 0} first{/if}{if ($smarty.foreach.image.index + 1) % $items_in_row == 0} last{/if}"
                                   href="#"
                                   {$item_style}
                                   title="{$image.legend}">
                                    <img class=" bd-imagestyles thumb js-thumb {if $image.id_image == $product.cover.id_image} selected {/if}"
                                         itemprop="image"
                                         alt="{$image.legend}"
                                         data-image-medium-src="{$image.bySize.medium_default.url}"
                                         data-image-large-src="{$image.bySize.large_default.url}"
                                         src="{$image.bySize.home_default.url}" />
                                </a>
                        {if $smarty.foreach.image.index == $images_count - 1 || ($smarty.foreach.image.index + 1) % $items_in_row == 0}
                            </div>
                        {/if}

                    {/foreach}
                </div>


                {if $images_count > $items_in_row}
                    
                        <div class="bd-left-button">
    <a class=" bd-carousel-4" href="#">
        <span class="bd-icon"></span>
    </a>
</div>

<div class="bd-right-button">
    <a class=" bd-carousel-4" href="#">
        <span class="bd-icon"></span>
    </a>
</div>
                {/if}
            </div>
        {/if}
    </div>
{/block}