{if isset($notifications)}
    <aside id="notifications">
        <div class="container">
            {if $notifications.error}
                {block name='notifications_error'}
                    {include file="../messages/error.tpl" message=$notifications.error dismissable=false}
                {/block}
            {/if}

            {if $notifications.warning}
                {block name='notifications_warning'}
                    {include file="../messages/warning.tpl" message=$notifications.warning dismissable=false}
                {/block}
            {/if}

            {if $notifications.success}
                {block name='notifications_success'}
                    {include file="../messages/success.tpl" message=$notifications.success dismissable=false}
                {/block}
            {/if}

            {if $notifications.info}
                {block name='notifications_info'}
                    {include file="../messages/info.tpl" message=$notifications.info dismissable=false}
                {/block}
            {/if}
        </div>
    </aside>
{/if}