{assign var=params value=$menu_params}

{function name="menu" nodes=[] depth=0 parent=null}
    {if $nodes|count}
        {if $depth == 0}
            {$menu_before=$params.menu_before}
            {$menu_after=$params.menu_after}
            {$menu_class=$params.menu_class}
            {$menu_item_class=$params.menu_item_class}
            {$menu_item_before=$params.menu_item_before}
            {$menu_item_after=$params.menu_item_after}
        {else}
            {$menu_before=$params.submenu_menu_before}
            {$menu_after=$params.submenu_menu_after}
            {$menu_class=$params.submenu_menu_class}
            {$menu_item_class=$params.submenu_menu_item_class}
            {$menu_item_before=$params.submenu_menu_item_before}
            {$menu_item_after=$params.submenu_menu_item_after}
        {/if}

        {$menu_before nofilter}
        <ul class="{$menu_class}" data-depth="{$depth}">
            {foreach from=$nodes item=node}
                {$menu_item_before nofilter}
                <li class="{$menu_item_class}">
                    {if isset($node.url)}
                        {$url=$node.url}
                    {elseif isset($node.link)}
                        {$url=$node.link}
                    {else}
                        {$url='#'}
                    {/if}

                    {$is_active={isset($node.current) && $node.current || !isset($node.current) && isset($page.canonical) && $page.canonical == $url}}
                    <a
                        class="{if $is_active} active{/if}"
                        href="{$url}" data-depth="{$depth}"
                        {if isset($node.open_in_new_window) && $node.open_in_new_window} target="_blank" {/if}
                    >
                        {if isset($node.label)}
                            {$node.label}
                        {elseif isset($node.name)}
                            {$node.name}
                        {/if}
                    </a>
                    {if $node.children|count}
                        <div class="{$params.submenu_menu_popup_class}">
                            {menu nodes=$node.children depth={$depth + 1} parent=$node}
                        </div>
                    {/if}
                </li>
                {$menu_item_after nofilter}
            {/foreach}
        </ul>
        {$menu_after nofilter}
    {/if}
{/function}

{menu nodes=$menu.children}